REIEvents.hide('item', event => {
    function seeds(id){
        event.hide('mysticalagriculture:' + id + 'seeds')
        event.hide('mysticalagriculture:' + id + 'essence')
    }
    seeds('limestone')
    seeds('tungsten')
    seeds('titanium')
    seeds('iridium')
    seeds('yellorium')
    seeds('mithril')
    seeds('chrome')

    function bees(id){
        event.hide('productivebees:' + id)
        event.hide(
            {
              "type": "forge:nbt",
              "item": "productivebees:spawn_egg_configurable_bee",
              "count": 1,
              "nbt": "{EntityTag:{type:\"productivebees:" + id + "\"}}"
            })
        event.hide(
            {
              "type": "forge:nbt",
              "item": "productivebees:configurable_honeycomb",
              "count": 1,
              "nbt": "{EntityTag:{type:\"productivebees:" + id + "\"}}"
            })
        event.hide(
            {
              "type": "forge:nbt",
              "item": "productivebees:configurable_comb",
              "count": 1,
              "nbt": "{EntityTag:{type:\"productivebees:" + id + "\"}}"
            })
    }
    bees('ametrine')
    bees('apatite')
    bees('ashy_mining_bee')
    bees('awakened_supremium')
    bees('blue_banded_bee')
    bees('chocolate')
    bees('chocolate_mining_bee')
    bees('cinnabar')
    bees('collector_bee')
    bees('cupid_bee')
    bees('digger_bee')
    bees('emeraldite')
    bees('experience')
    bees('farmer_bee')
    bees('fluorite')
    bees('frosty')
    bees('geode')
    bees('grave')
    bees('green_carpenter_bee')
    bees('hoarder_bee')
    bees('imperium')
    bees('inferium')
    bees('insanium')
    bees('iridium')
    bees('kamikaz')
    bees('leafcutter_bee')
    bees('magmatic')
    bees('mason_bee')
    bees('neon_cuckoo_bee')
    bees('niter')
    bees('nomad_bee')
    bees('brown_shroom')
    bees('pendorite')
    bees('pepto_beesmol')
    bees('peridot')
    bees('pink_slimy')
    bees('prismarine')
    bees('prosperibee')
    bees('prudentium')
    bees('pure')
    bees('crimson')
    bees('dye_bee')
    bees('rancher_bee')
    bees('reed_bee')
    bees('resin_bee')
    bees('ruby')
    bees('sapphire')
    bees('sculk')
    bees('red_shroom')
    bees('silky')
    bees('slimy')
    bees('soul_lava')
    bees('soulium')
    bees('sugarbag')
    bees('warped')
    bees('sponge')
    bees('sulfur')
    bees('supremium')
    bees('sweat_bee')
    bees('tea')
    bees('tertium')
    bees('yellow_carpenter_bee')

    //Energy Conduit
    event.hide('enderio:energy_conduit')
    
})

ItemEvents.tooltip(event => {
  function beesTip(id){
  event.add('productivebees:' + id, [
    Text.of('This bee has been disabled.').red()
  ])
  }
  
  beesTip('ametrine')
  beesTip('apatite')
  beesTip('ashy_mining_bee')
  beesTip('awakened_supremium')
  beesTip('blue_banded_bee')
  beesTip('chocolate')
  beesTip('chocolate_mining_bee')
  beesTip('cinnabar')
  beesTip('collector_bee')
  beesTip('cupid_bee')
  beesTip('digger_bee')
  beesTip('emeraldite')
  beesTip('experience')
  beesTip('farmer_bee')
  beesTip('fluorite')
  beesTip('frosty')
  beesTip('geode')
  beesTip('grave')
  beesTip('green_carpenter_bee')
  beesTip('hoarder_bee')
  beesTip('imperium')
  beesTip('inferium')
  beesTip('insanium')
  beesTip('iridium')
  beesTip('kamikaz')
  beesTip('leafcutter_bee')
  beesTip('magmatic')
  beesTip('mason_bee')
  beesTip('neon_cuckoo_bee')
  beesTip('niter')
  beesTip('nomad_bee')
  beesTip('brown_shroom')
  beesTip('pendorite')
  beesTip('pepto_beesTipmol')
  beesTip('peridot')
  beesTip('pink_slimy')
  beesTip('prismarine')
  beesTip('prosperibee')
  beesTip('prudentium')
  beesTip('pure')
  beesTip('crimson')
  beesTip('dye_bee')
  beesTip('rancher_bee')
  beesTip('reed_bee')
  beesTip('resin_bee')
  beesTip('ruby')
  beesTip('sapphire')
  beesTip('sculk')
  beesTip('red_shroom')
  beesTip('silky')
  beesTip('slimy')
  beesTip('soul_lava')
  beesTip('soulium')
  beesTip('sugarbag')
  beesTip('warped')
  beesTip('sponge')
  beesTip('sulfur')
  beesTip('supremium')
  beesTip('sweat_bee')
  beesTip('tea')
  beesTip('tertium')
  beesTip('yellow_carpenter_bee')
})